# Kirki Customizer Framework #
**Contributors:** [themeum]
**Tags:** customizer, options framework, theme, mods, toolkit, gutenberg
**Requires at least:** 5.2
**Tested up to:** 6.4.3
**Stable tag:** 5.1.0
**License:** MIT
**License URI:** https://opensource.org/licenses/MIT

The ultimate customizer framework for WordPress theme developers.

## Description ##

[![Build Status](https://travis-ci.org/aristath/kirki.svg?branch=develop)](https://travis-ci.org/aristath/kirki) [![Code Climate](https://codeclimate.com/github/aristath/kirki/badges/gpa.svg)](https://codeclimate.com/github/aristath/kirki) [![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT) [![Codacy Badge](https://api.codacy.com/project/badge/Grade/66d6d8b6a4654cd18686ed1cd9f1bfb3)](https://www.codacy.com/app/aristath/kirki?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=aristath/kirki&amp;utm_campaign=Badge_Grade) [![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/aristath/kirki/badges/quality-score.png?b=develop)](https://scrutinizer-ci.com/g/aristath/kirki/?branch=develop)

[Kirki](https://www.themeum.com/kirki/) allows theme developers to build themes quicker & more easily.

With over **30 custom controls** ranging from simple sliders to complex typography controls with Google-Fonts integration and features like automatic CSS & `postMessage` script generation, Kirki makes theme development a breeze.

### Features ###
* Increased Performance
* Simplified API
* Automatic CSS Generation
* Automatic postMessage Generation
* Partial Refresh
* Conditional Logic
* GDPR Compliance
* Improved Page Speed
* & more!

### Controls ###

* [Background Customizer Control](https://docs.themeum.com/kirki/controls/background/)
* [Code Customizer Control](https://docs.themeum.com/kirki/controls/code/)
* [Checkbox Customizer Control](https://docs.themeum.com/kirki/controls/checkbox/)
* [Color Customizer Control](https://docs.themeum.com/kirki/controls/color/)
* [Color Palette Customizer Control](https://docs.themeum.com/kirki/controls/color-palette/)
* [Dashicons Customizer Control](https://docs.themeum.com/kirki/controls/dashicons/)
* [Date Customizer Control](https://docs.themeum.com/kirki/controls/date/)
* [Dimension Customizer Control](https://docs.themeum.com/kirki/controls/dimension/)
* [Dimensions Customizer Control](https://docs.themeum.com/kirki/controls/dimensions/)
* [Dropdown Pages Customizer Control](https://docs.themeum.com/kirki/controls/dropdown-pages/)
* [Editor Customizer Control](https://docs.themeum.com/kirki/controls/editor/)
* [Generic Customizer Control](https://docs.themeum.com/kirki/controls/generic/)
* [Image Customizer Control](https://docs.themeum.com/kirki/controls/image/)
* [Link Customizer Control](https://docs.themeum.com/kirki/controls/url/)
* [Multiple Checkbox Customizer Control](https://docs.themeum.com/kirki/controls/multicheck/)
* [Multicolor Customizer Control](https://docs.themeum.com/kirki/controls/multicolor/)
* [Number Customizer Control](https://docs.themeum.com/kirki/controls/number/)
* [Radio Customizer Control](https://docs.themeum.com/kirki/controls/radio/)
* [Radio Buttonset Customizer Control](https://docs.themeum.com/kirki/controls/radio-buttonset/)
* [Radio Image Customizer Control](https://docs.themeum.com/kirki/controls/radio-image/)
* [Repeater Customizer Control](https://docs.themeum.com/kirki/controls/repeater/)
* [Select Customizer Control](https://docs.themeum.com/kirki/controls/select/)
* [Slider Customizer Control](https://docs.themeum.com/kirki/controls/slider/)
* [Sortable Customizer Control](https://docs.themeum.com/kirki/controls/sortable/)
* [Switch Customizer Control](https://docs.themeum.com/kirki/controls/switch/)
* [Text Customizer Control](https://docs.themeum.com/kirki/controls/text/)
* [Textarea Customizer Control](https://docs.themeum.com/kirki/controls/textarea/)
* [Toggle Customizer Control](https://docs.themeum.com/kirki/controls/toggle/)
* [Typography Customizer Control](https://docs.themeum.com/kirki/controls/typography/)
* [Upload Customizer Control](https://docs.themeum.com/kirki/controls/upload/)


### Documentation ###

You can find detailed documentation on how to use Kirki on [themeum.com](https://www.themeum.com/kirki/)

### Disclaimer ###

Theme developers should be familiar with the Customizer API before starting to build a theme using Kirki. An excellent handbook for the WordPress Customizer can be found on the [developer.wordpress.org](https://developer.wordpress.org/themes/customize-api/) website.

## Installation ##

Simply install as a normal WordPress plugin and activate.

If you want to integrate Kirki in your theme or plugin, please read the instructions on [our documentation site](https://docs.themeum.com/kirki/getting-started/integration/).

## Changelog ##

[See the previous changelogs here](https://github.com/kirki-framework/kirki/blob/master/CHANGELOG.md).
